# Changed by Makefile of cvs.
%define version 0.3
%define name 	transfugdrake
%define release	3mdk

Summary:	A wizard to moves from Windows to Mandrake Linux
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://people.mandrakesoft.com/~cbelisle/tfd/%{name}-%{version}.tar.bz2
URL:		http://people.mandrakesoft.com/~cbelisle/tfd/index.html
#Source1:	%{name}16.xpm.bz2
#Source2:	%{name}32.xpm.bz2
#Source3:	%{name}48.xpm.bz2
License:	GPL
Group:		System/Configuration/Other
Requires:	drakxtools >= 1.1.7, gtk+mdk, perl-GTK, perl-GTK-GdkImlib, usermode
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Transfugdrake help you to migrate your mail, documents
and address books from Windows to Mandrake Linux. It can
run as a standalone or embedded wizard.

File copy supports all Windows version.
Address Book migration not implemented yet.
Mail migration work with Outlook Express 4.5 and 5.

%prep
%setup -q

%build
rm -fr *.o
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
#mv ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/transfugdrake \
#   ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/transfugdrake.real
#ln -sf %{_bindir}/consolehelper ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin/transfugdrake
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
#cp pam.transfugdrake $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/transfugdrake
cp apps.transfugdrake  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/transfugdrake

#install lang
%{find_lang} %{name}

#install menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/transfugdrake << EOF
?package(transfugdrake): \
needs="x11" \
icon="transfugdrake.xpm" \
section="Configuration/Other" \
title="Transfugdrake" \ 
longtitle="Import files from windows to Linux" \
command="/usr/X11R6/bin/transfugdrake"
EOF

#install menu icon
#mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
#mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
#bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
#bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
#bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS
%doc ChangeLog
%{_prefix}/X11R6/bin/*
%{_bindir}/transfug_oe
%{_menudir}/transfugdrake
%{_libdir}/libDrakX/transfugdrake.pm
#%{_miconsdir}/*.xpm
#%{_iconsdir}/*.xpm
#%{_liconsdir}/*.xpm
#%config(noreplace) %{_sysconfdir}/pam.d/smbdrake
%config(noreplace) %{_sysconfdir}/security/console.apps/transfugdrake

%changelog
* Tue Jan 22 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-3mdk
- Add previous buttons
- Add warning for win xp (no mail migration available).
- Now print Windows users only once (was duplicating).

* Mon Jan 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-2mdk
- Fix the folder name in /mnt/ (thanks Nicolas)
- Changed menu title

* Tue Jan 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.3-1mdk
- Now detects partition directly.
- Removed address book feature (not implemented).
- Added fr.po
- Removed perl-File-NCopy from requires.
- Remove configure.
- Add transfugdrake.pm

* Thu Jan 10 2002 Stew Benedict <sbenedict@mandrakesoft.com> 0.2-2mdk
- remove old x86 .o files - fails on other arches

* Fri Jan 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 0.2-1mdk
- Add address book feature.
- Enhance partition chooser page.
- Detect automatically which choices are possible.
- Fix mail import.
- Remake the application logic.
- Add user chooser page.
- Change description in spec.
						
* Thu Nov 29 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.1-3mdk
- Updated drakxtools in requires.
- Enhanced and added some features:
   * Enhanced windows partition check.
   * Enhanced windows documents copy.
   * Added address book migration feature.
- Added transfugdrake in /etc/security/console.apps
- Fixed menu entry.
- Changed description.
- Added URL.

* Tue Aug 07 2001 Yves Duret <yduret@mandrakesoft.com> 0.1-2mdk
- build release
- make rpmlint happier

* Mon Jun  11 2001 Yves Duret <yduret@mandrakesoft.com> 0.1-1mdk
- first release, do nothing.

# end of file
